gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.AttrFontFeatures

Contents

- Exported types
- Methods
  - new
- Properties
  - attr
  - features

Description

The `AttrFontFeatures` structure is used to represent OpenType font features as an attribute.

Since: 1.38

Synopsis

- newtype AttrFontFeatures = AttrFontFeatures (ManagedPtr AttrFontFeatures)
- newZeroAttrFontFeatures :: MonadIO m => m AttrFontFeatures
- noAttrFontFeatures :: Maybe AttrFontFeatures
- attrFontFeaturesNew :: (HasCallStack, MonadIO m) => Text -> m Attribute
- getAttrFontFeaturesAttr :: MonadIO m => AttrFontFeatures -> m Attribute
- clearAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> m ()
- getAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> m (Maybe Text)
- setAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> CString -> m ()

# Exported types

newtype AttrFontFeatures Source #

Memory-managed wrapper type.

Constructors

AttrFontFeatures (ManagedPtr AttrFontFeatures) |

Instances

WrappedPtr AttrFontFeatures Source # |
Instance details Defined in GI.Pango.Structs.AttrFontFeatures Methods wrappedPtrCalloc :: IO (Ptr AttrFontFeatures) Source # wrappedPtrCopy :: AttrFontFeatures -> IO AttrFontFeatures Source # wrappedPtrFree :: Maybe (FunPtr (Ptr AttrFontFeatures -> IO ())) Source #
tag ~ AttrSet => Constructible AttrFontFeatures tag Source # |
Instance details Defined in GI.Pango.Structs.AttrFontFeatures Methods new :: MonadIO m => (ManagedPtr AttrFontFeatures -> AttrFontFeatures) -> [AttrOp AttrFontFeatures tag] -> m AttrFontFeatures Source #

newZeroAttrFontFeatures :: MonadIO m => m AttrFontFeatures Source #

Construct a `AttrFontFeatures` struct initialized to zero.

noAttrFontFeatures :: Maybe AttrFontFeatures Source #

A convenience alias for `Nothing` :: `Maybe` `AttrFontFeatures`.

# Methods

## new

attrFontFeaturesNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text | `features`: a string with OpenType font features, in CSS syntax
-> m Attribute | Returns: the newly allocated `Attribute`, which should be freed with `attributeDestroy`.

Create a new font features tag attribute.

Since: 1.38

# Properties

## attr

the common portion of the attribute

getAttrFontFeaturesAttr :: MonadIO m => AttrFontFeatures -> m Attribute Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get attrFontFeatures #attr

## features

the featues, as a string in CSS syntax

clearAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> m () Source #

Set the value of the “`features`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #features

getAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> m (Maybe Text) Source #

Get the value of the “`features`” field. When overloading is enabled, this is equivalent to

    get attrFontFeatures #features

setAttrFontFeaturesFeatures :: MonadIO m => AttrFontFeatures -> CString -> m () Source #

Set the value of the “`features`” field. When overloading is enabled, this is equivalent to

    set attrFontFeatures [ #features := value ]